| Bsoft 2.0.5 Bernard's software package

Public Member Functions | List of all members
Bcolumn Class Reference

`#include <Bplot.h>`

## Public Member Functions
| Bcolumn ()
| Bcolumn (Bstring &s)
| Bcolumn (long i, Bstring &s)
long | number ()
void | number (long i)
Bstring & | label ()
void | label (const Bstring &s)
void | label (const char *s)
long | type ()
void | type (long v)
long | axis ()
void | axis (long v)
double | min ()
void | min (double v)
double | max ()
void | max (double v)
double | element_size ()
void | element_size (double v)
double * | color ()
void | color (double r, double g, double b)
double | red ()
double | green ()
double | blue ()

## Detailed Description

Definition at line 42 of file Bplot.h.

## Constructor & Destructor Documentation

## ◆ Bcolumn() [1/3]

Bcolumn::Bcolumn | ( |  | ) |
| inline

Definition at line 58 of file Bplot.h.

## ◆ Bcolumn() [2/3]

Bcolumn::Bcolumn | ( | Bstring & | s | ) |
| inline

Definition at line 59 of file Bplot.h.

## ◆ Bcolumn() [3/3]

Bcolumn::Bcolumn | ( | long | i,
|  | Bstring & | s
| ) |  |
| inline

Definition at line 60 of file Bplot.h.

## Member Function Documentation

## ◆ axis() [1/2]

long Bcolumn::axis | ( |  | ) |
| inline

Definition at line 68 of file Bplot.h.

## ◆ axis() [2/2]

void Bcolumn::axis | ( | long | v | ) |
| inline

Definition at line 69 of file Bplot.h.

## ◆ blue()

double Bcolumn::blue | ( |  | ) |
| inline

Definition at line 80 of file Bplot.h.

## ◆ color() [1/2]

double* Bcolumn::color | ( |  | ) |
| inline

Definition at line 76 of file Bplot.h.

## ◆ color() [2/2]

void Bcolumn::color | ( | double | r,
|  | double | g,
|  | double | b
| ) |  |
| inline

Definition at line 77 of file Bplot.h.

## ◆ element_size() [1/2]

double Bcolumn::element_size | ( |  | ) |
| inline

Definition at line 74 of file Bplot.h.

## ◆ element_size() [2/2]

void Bcolumn::element_size | ( | double | v | ) |
| inline

Definition at line 75 of file Bplot.h.

## ◆ green()

double Bcolumn::green | ( |  | ) |
| inline

Definition at line 79 of file Bplot.h.

## ◆ label() [1/3]

Bstring& Bcolumn::label | ( |  | ) |
| inline

Definition at line 63 of file Bplot.h.

## ◆ label() [2/3]

void Bcolumn::label | ( | const Bstring & | s | ) |
| inline

Definition at line 64 of file Bplot.h.

## ◆ label() [3/3]

void Bcolumn::label | ( | const char * | s | ) |
| inline

Definition at line 65 of file Bplot.h.

## ◆ max() [1/2]

double Bcolumn::max | ( |  | ) |
| inline

Definition at line 72 of file Bplot.h.

## ◆ max() [2/2]

void Bcolumn::max | ( | double | v | ) |
| inline

Definition at line 73 of file Bplot.h.

## ◆ min() [1/2]

double Bcolumn::min | ( |  | ) |
| inline

Definition at line 70 of file Bplot.h.

## ◆ min() [2/2]

void Bcolumn::min | ( | double | v | ) |
| inline

Definition at line 71 of file Bplot.h.

## ◆ number() [1/2]

long Bcolumn::number | ( |  | ) |
| inline

Definition at line 61 of file Bplot.h.

## ◆ number() [2/2]

void Bcolumn::number | ( | long | i | ) |
| inline

Definition at line 62 of file Bplot.h.

## ◆ red()

double Bcolumn::red | ( |  | ) |
| inline

Definition at line 78 of file Bplot.h.

## ◆ type() [1/2]

long Bcolumn::type | ( |  | ) |
| inline

Definition at line 66 of file Bplot.h.

## ◆ type() [2/2]

void Bcolumn::type | ( | long | v | ) |
| inline

Definition at line 67 of file Bplot.h.

The documentation for this class was generated from the following file:

- /Users/bernard/b20/bsoft/include/Bplot.h